package com.wb.flutter.plugin.flutter_plugin_toast

import android.content.Context
import android.widget.Toast
import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.MethodChannel
import io.flutter.plugin.common.MethodChannel.MethodCallHandler
import io.flutter.plugin.common.MethodChannel.Result
import io.flutter.plugin.common.PluginRegistry.Registrar

class FlutterPluginToastPlugin : MethodCallHandler {
    var mContext: Context? = null

    constructor(mContext: Context?) {
        this.mContext = mContext
    }

    companion object {
        @JvmStatic
        fun registerWith(registrar: Registrar) {
            val channel = MethodChannel(registrar.messenger(), "flutter_plugin_toast_barry")
            channel.setMethodCallHandler(FlutterPluginToastPlugin(registrar.context()))
        }
    }

    override fun onMethodCall(call: MethodCall, result: Result) {
//    if (call.method == "getPlatformVersion") {
//      result.success("Android ${android.os.Build.VERSION.RELEASE}")
//    } else {
//      result.notImplemented()
//    }
        if (call.method == "toast") {
            var content = call.argument<String>("content")
            val duration = call.argument<String>("duration")
            Toast.makeText(mContext, content, if (duration == "short") {
                Toast.LENGTH_SHORT
            } else {
                Toast.LENGTH_LONG
            }).show()

        }
    }
}
